# List webhook configurations

`GET https://api.mothership.com/beta/webhookConfigs`

Sandbox: `https://sandbox.api.mothership.com/beta/webhookConfigs`

Lists all webhook configurations set up for your shipper account.

> [!WARNING]
> Webhook configurations set up by any developer within an organization will be returned in this call.

> [!NOTE]
> The above response does not include the corresponding secret key for each webhook config. In order to fetch this secret key, please use the [Retrieve a webhook configuration](https://developers.mothership.com/reference/fetchwebhookconfig) endpoint.

## Authorization

Send your API token as a Bearer token: `Authorization: Bearer <token>`.

## Responses

### 200

Webhook configurations, in an array named `data`.

- `data` (array of objects, required)
  - `id` (string, required): ID of the webhook configuration.
  - `createdAt` (string<date-time>, required): When this webhook configuration was created, as an ISO 8601 date-time.
  - `status` (string, required): Current status of the webhook config. One of: `active`, `inactive`.
  - `subscribedEvents` (array of strings, required): Events that trigger a webhook. One of: `billOfLading.created`, `billOfLading.updated`, `proofOfDelivery.created`, `proofOfDelivery.updated`, `deliveryReceipt.created`, `deliveryReceipt.updated`, `certificateOfInsurance.created`, `shipment.purchased`, `shipment.status.updated`.
  - `webhookUrl` (string, required): URL that Mothership POSTs webhook events to.

## Example request

```bash
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/webhookConfigs' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
```

## Example response (200)

```json
{
  "data": [
    {
      "id": "48asjgaoi33nkl4t3lae",
      "createdAt": "2019-03-20T16:17:13.424Z",
      "status": "active",
      "subscribedEvents": ["shipment.purchased", "shipment.status.updated"],
      "webhookUrl": "https://www.yourserver.io/webhook/mothership/shipment"
    },
    {
      "id": "akw3lajwkl4jt3lka3fa",
      "createdAt": "2019-03-20T16:21:27.113Z",
      "status": "active",
      "subscribedEvents": ["billOfLading.created", "billOfLading.updated"],
      "webhookUrl": "https://www.yourserver.io/webhook/mothership/bol"
    }
  ]
}
```